package com.dayou.service;
import com.dayou.entity.ProductionFund;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ProductionFundVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;

/**
 * <p>
 * 业务产品收款表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface IProductionFundService extends IService<ProductionFund> {

        Page<ProductionFund> selectPage(Page page,ProductionFund productionFund);

        ProductionFund detail(Long id);

        Boolean add(ProductionFund productionFund);

        Boolean update(ProductionFund productionFund);

        Boolean delete(Long id);

        Boolean updateRealFundForProduction(Long id);

        ProductionFundVO checkFund(ProductionFundVO productionFundVO);

        BigDecimal calculateStandardAmount(BigDecimal evaluateAmount);
}
